<?php

function kaye_declarer_tables_interfaces($interface){
	$interface['table_des_tables']['devoirs'] = 'devoirs';	
	$interface['table_des_traitements']['TEXTE']['devoirs'] = _TRAITEMENT_TYPO; // corrections de francais
	$interface['table_des_traitements']['TEXTE']['devoirs'] = _TRAITEMENT_RACCOURCIS; // + raccourcis spip
	
	$interface['table_des_tables']['classes'] = 'classes';	
	$interface['table_des_traitements']['DESCRIPTIF']['classes'] = _TRAITEMENT_TYPO; 
	$interface['table_des_traitements']['DESCRIPTIF']['classes'] = _TRAITEMENT_RACCOURCIS;
	
	$tables_interfaces['table_des_tables']['auteurs_classes'] = 'auteurs_classes';
	
	$interface['table_date']['devoirs'] = 'date_echeance';	
	
	//-- Jointures -------------------------------------------------
	//$interface['tables_jointures']['spip_classes'][] = 'auteurs_classes';
	$interface['tables_jointures']['spip_classes'][] = 'auteurs_classes';
	$interface['tables_jointures']['spip_auteurs'][] = 'auteurs_classes';
	return $interface;
}


function kaye_declarer_tables_principales($tables_principales){
	//-- Table DEVOIRS ------------------------------------------
	$devoirs = array(
			"id_devoir"	=> "bigint(21) NOT NULL",
			"texte"	=> "text DEFAULT '' NOT NULL",
			"maj"	=> "TIMESTAMP",
			"discipline" => "tinytext",
			"id_classe" => "int NOT NULL DEFAULT '0'",
			"id_auteur" => "bigint(21) NOT NULL DEFAULT '0'",
			"date_jour" => "DATE NOT NULL DEFAULT '0000-00-00'",
			"date_echeance" => "DATE NOT NULL DEFAULT '0000-00-00'",
			"statut" => "VARCHAR(15) DEFAULT 'prepa'"		
			);
	
	$devoirs_key = array(
			"PRIMARY KEY"	=> "id_devoir",
			);
//Table forum du devoir			
$classes = array(
						"id_classe" => "BIGINT(21) NOT NULL",
						"titre" => "TINYTEXT NOT NULL",
						"descriptif"  => "TINYTEXT NOT NULL",
						"id_zone" => "int(11)",
						"date" => "DATETIME DEFAULT '0000-00-00 00:00:00' NOT NULL  "
						);
$classes_key = array(
						"PRIMARY KEY" => "id_classe");	
						
	$tables_principales['spip_devoirs'] =
		array('field' => &$devoirs, 'key' => &$devoirs_key);
	$tables_principales['spip_classes'] =
		array('field' => &$classes, 'key' => &$classes_key);
	return $tables_principales;
}

function kaye_declarer_tables_auxiliaires($tables_auxiliaires){
	$spip_auteurs_classes = array(
		'id_auteur' => 'bigint(21) DEFAULT "0" NOT NULL',
		'id_classe' => 'bigint(21) DEFAULT "0" NOT NULL',
	);
	
	$spip_auteurs_classes_key = array(
		'PRIMARY KEY' => 'id_auteur, id_classe'
	);
	
	$tables_auxiliaires['spip_auteurs_classes'] = array(
		'field' => &$spip_auteurs_classes,
		'key' => &$spip_auteurs_classes_key
	);
	
	return $tables_auxiliaires;
}


function kaye_declarer_tables_objets_surnoms($surnoms) {
	// Le type ['*'] correspond a la table nommee 
	$surnoms['devoir'] = 'devoirs';
	$surnoms['classe'] = 'classes';
	
	return $surnoms;
}

?>
