<?php

if (!defined("_ECRIRE_INC_VERSION")) return;

function action_editer_devoir_dist() {
	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();

		if (!$id_devoir = intval($arg)) {
		if ($arg != 'oui') {
			include_spip('inc/headers');
			redirige_url_ecrire();
		}
		$id_devoir = insert_devoir();
	}

	if ($id_devoir) $err = revisions_devoirs($id_devoir);
	return array($id_devoir,$err);
}


function insert_devoir() {
	$champs = array(
		'discipline' => _T('devoirs:item_nouveau_devoir')
	);
	
	// Envoyer aux plugins
	$champs = pipeline('pre_insertion', array(
		'args' => array(
			'table' => 'spip_devoirs',
		),
		'data' => $champs
	));
	
	$id_devoir = sql_insertq("spip_devoirs", $champs);
	return $id_devoir;
}

function revisions_devoirs($id_devoir, $c=false) {

	if ($c === false) {
		$c = array();
		foreach (array('discipline', 'texte', 'date_echeance', 'date_jour', 'statut', 'id_classe', 'id_auteur') as $champ) {
			if (($a = _request($champ)) !== null) {
				$c[$champ] = $a;
			}
		}
	}
	
	include_spip('inc/modifier');
	modifier_contenu('devoir', $id_devoir, array(
			'nonvide' => array('discipline' => _T('info_sans_titre')),
			'invalideur' => "id='id_devoir/$id_devoir'"
		),
		$c);
}
?>
